import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    Image {
        id: image1
        anchors.rightMargin: units.gu(10)
        anchors.leftMargin: units.gu(10)
        anchors.bottomMargin: units.gu(10)
        anchors.topMargin: units.gu(10)
        anchors.fill: parent
        source: "../resources/images/ubuntu-logo.png"
        fillMode: Image.PreserveAspectFit
    }

    RotationAnimation {
        running: true
        targets: image1
        properties: "rotation"
        from: 0
        to: 360
        loops: Animation.Infinite
        duration: UbuntuAnimation.SleepyDuration
    }
}
